# https://github.com/gomodule/redigo
%global goipath         github.com/gomodule/redigo
%global oldgoipath      github.com/garyburd/redigo
%global oldgoname       %gorpmname %{oldgoipath}
Version:                1.7.0

%gometa

Name:           %{oldgoname}
Release:        2%{?dist}
Summary:        Go client for Redis
License:        ASL 2.0
URL:            %{gourl}
Source0:        https://github.com/gomodule/redigo/archive/v%{version}/redigo-%{version}.tar.gz
Source1:        glide.yaml
Source2:        glide.lock

%description
%{summary}


%package devel
Summary:       %{summary}
BuildArch:     noarch

%description devel
%{summary}

This package contains library source intended for
building other packages which use import path with
%{goipath} prefix.


%package -n %{goname}-devel
Summary:    %{summary}
BuildArch:  noarch

%description -n %{goname}-devel
%{common_description}

This package contains compatibility glue for code that still imports the
%{oldgoipath} Go namespace.


%prep
%forgesetup
cp %{SOURCE1} %{SOURCE2} .


%install
%goinstall glide.lock glide.yaml

install -m 0755 -vd %{buildroot}%{gopath}/src/%(dirname %{oldgoipath})
ln -s %{gopath}/src/%{goipath} %{buildroot}%{gopath}/src/%{oldgoipath}


%check
%gochecks -d redis -d redisx


%pretrans devel -p <lua>
-- Define the path to directory being replaced below.
-- DO NOT add a trailing slash at the end.
pathlist = {"%{gopath}/src/%{oldgoipath}"}
for key,path in ipairs(pathlist) 
do
  st = posix.stat(path)
  if st and st.type == "directory" then
    status = os.rename(path, path .. ".rpmmoved")
    if not status then
      suffix = 0
      while not status do
        suffix = suffix + 1
        status = os.rename(path .. ".rpmmoved", path .. ".rpmmoved." .. suffix)
      end
      os.rename(path, path .. ".rpmmoved")
    end
  end
end


%files devel -f devel.file-list
%license LICENSE
%doc README.markdown
%ghost %{gopath}/src/%{oldgoipath}.rpmmoved


%files -n %{goname}-devel
%dir %{gopath}/src/%(dirname %{oldgoipath})
%{gopath}/src/%{oldgoipath}


%changelog
* Wed Mar 13 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1.7.0-2
- Fix to handle folder to link upgrade

* Tue Feb 19 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1.7.0-1
- Update to 1.7.0

* Tue Oct 23 2018 Nicolas Mailhot <nim@fedoraproject.org> - 0-0.15.git3e4727f
- redhat-rpm-config-123 triggers bugs in gosetup, remove it from Go spec files as it’s just an alias
- https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/message/RWD5YATAYAFWKIDZBB7EB6N5DAO4ZKFM/

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.14.git3e4727f
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sat Jun 09 2018 Jan Chaloupka <jchaloup@redhat.com> - 0-0.13.git3e4727f
- Upload glide files

* Wed Feb 28 2018 Jan Chaloupka <jchaloup@redhat.com> - 0-0.12.20150520git3e4727f
- Autogenerate some parts using the new macros

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.11.git3e4727f
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.10.git3e4727f
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.9.git3e4727f
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.8.git3e4727f
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Jul 21 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.7.git3e4727f
- https://fedoraproject.org/wiki/Changes/golang1.7

* Mon Feb 22 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.6.git3e4727f
- https://fedoraproject.org/wiki/Changes/golang1.6

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.5.git3e4727f
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Sep 12 2015 jchaloup <jchaloup@redhat.com> - 0-0.4.git3e4727f
- Update to spec-2.1
  resolves: #1248994

* Fri Jul 31 2015 jchaloup <jchaloup@redhat.com> - 0-0.3.git3e4727f
- Update spec file to spec-2.0
  resolves: #1248994

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.2.git3e4727f
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Jun 05 2015 jchaloup <jchaloup@redhat.com> - 0-0.1.git3e4727f
- First package for Fedora
  resolves: #1228795

